%define name    kbeam
%define version 0.61
%define release %mkrel 4

Name:           %{name} 
Summary:        Tools to beam files via Irda
Version:        %{version} 
Release:        %{release} 
Source0:        http://www.tuxedo.org/~esr/gif2png/%{name}-%{version}.tar.bz2 
#Source1:        %{name}-%{version}.tar.bz2
#Patch0:         gif2png-2.0.1-bugfix.patch.bz2
Patch1:		kbeam-0.61-aclocal_openobex.patch 
URL:            http://sourceforge.net/projects/kbeam/ 
Group:          Communications
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 
BuildRequires:	kdelibs-devel openobex-devel ImageMagick
BuildRequires:	automake1.8

%description
KBeam is a KDE application that lets you easily beam files back 
and forth between your computer and another device (like a PDA) using IR.

%prep 
%setup -q
#-a 1 
%patch1 -p1

%build 
#make -f admin/Makefile.common cvs

#export QTDIR=%_prefix/%_lib/qt3
#export KDEDIR=%_prefix

#export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
#export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
#perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

aclocal
autoconf
%configure2_5x --disable-rpath --with-qt-dir=%{qt3dir} \
	--with-qt-includes=%{qt3include} \
	--with-qt-libraries=%{qt3lib}
%make

%install
%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde/
mv -f $RPM_BUILD_ROOT/%_datadir/applnk/System/%{name}.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/

desktop-file-install --vendor="" \
  --add-category="KDE" \
  --add-category="Office" \
  --add-category="PDA" \
  --add-category="Utility" \
  --add-category="TelephonyTools" \
  --add-category="X-MandrivaLinux-Office-Communications-Other" \
  --add-only-show-in="KDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

%find_lang %name

#If rpmlint complains about libs beeing rpath
#chrpath -d kbeam

%clean 
rm -rf $RPM_BUILD_ROOT 

%post
%update_menus

%postun
%update_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc README NEWS AUTHORS 
%{_bindir}/*
%{_datadir}/apps/%name
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/autostart/%{name}.autostart.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sat May 05 2007 Funda Wang <fundawang@mandriva.org> 0.61-4mdv2008.0
+ Revision: 22662
- XDG menu.
- Add patch1 from gentoo, in order to build with latest openobex
- Use qt3 macros
- Import kbeam



* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.61-3mdk
- Fix Build
- use mkrel

* Fri Jul 15 2005 Laurent MONTEL <lmontel@mandriva.com> 0.61 -2mdk 
- Fix build on x86_64

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Sep 1 2004 Austin Acton <austin@mandrake.org> 0.6-1mdk
- from Alexios Beveratos <abeverat@bluewin.ch> :
  - First build from 0.6
